@ECHO OFF
@ECHO.
@ECHO TSDCLI version 2.3
@ECHO.

IF '%1' == '' GOTO E1
IF '%2' == '' GOTO E1
	@echo Controller IP Address is %1
	@ECHO Pinging %1
	ping %1 -n 1 > NUL
IF ERRORLEVEL 1 GOTO E2
	@ECHO IP address has responded to Ping
IF '%3' == '' GOTO E3
	@ECHO Controller password entered
	@ECHO connect %1 -p %3 > i_i.txt

:E4
@ECHO show cli >> i_i.txt
@ECHO SCAN array >> i_i.txt
@ECHO show controller >> i_i.txt
@ECHO show controller date >> i_i.txt
@ECHO show fru >> i_i.txt
@ECHO show rs232 >> i_i.txt
@ECHO show task >> i_i.txt
@ECHO show enclosure >> i_i.txt
@ECHO show access-mode >> i_i.txt
@ECHO show schedule >> i_i.txt
@ECHO show event >> i_i.txt
@ECHO show controller trigger >> i_i.txt
@ECHO show controller parm >> i_i.txt
@ECHO show controller redundancy >> i_i.txt
@ECHO show shutdown-status >> i_i.txt
@ECHO show host >> i_i.txt
@ECHO show disk parm >> i_i.txt
@ECHO show channel >> i_i.txt
@ECHO show net >> i_i.txt
@ECHO show cache >> i_i.txt
@ECHO show wwn >> i_i.txt
@ECHO show ld >> i_i.txt
@ECHO show lv >> i_i.txt
@ECHO show part >> i_i.txt
@ECHO show disk >> i_i.txt
@ECHO show disk spare >> i_i.txt
@ECHO show array >> i_i.txt
@ECHO show map >> i_i.txt
@ECHO show iqn >> i_i.txt
@ECHO show stripe >> i_i.txt
@ECHO show disk channel=0 >> i_i.txt
@ECHO show disk channel=1 >> i_i.txt
@ECHO show disk channel=2 >> i_i.txt
@ECHO show disk channel=3 >> i_i.txt
@ECHO show disk channel=4 >> i_i.txt
@ECHO show disk channel=5 >> i_i.txt
@ECHO show disk channel=6 >> i_i.txt
@ECHO show disk channel=7 >> i_i.txt
@ECHO show disk channel=8 >> i_i.txt
@ECHO show disk channel=9 >> i_i.txt
@ECHO show disk channel=10 >> i_i.txt
@ECHO show disk channel=11 >> i_i.txt
@ECHO show disk channel=12 >> i_i.txt
@ECHO show disk channel=13 >> i_i.txt
@ECHO show disk channel=14 >> i_i.txt
@ECHO show disk channel=15 >> i_i.txt
@ECHO show disk channel=16 >> i_i.txt
@ECHO show disk channel=17 >> i_i.txt
@ECHO show disk channel=18 >> i_i.txt
@ECHO show disk channel=19 >> i_i.txt
@ECHO show disk channel=20 >> i_i.txt
@ECHO show disk channel=21 >> i_i.txt
@ECHO show disk channel=22 >> i_i.txt
@ECHO show disk channel=23 >> i_i.txt
@ECHO show disk channel=24 >> i_i.txt
@ECHO show disk channel=25 >> i_i.txt
@ECHO show disk channel=26 >> i_i.txt
@ECHO show disk channel=27 >> i_i.txt
@ECHO show disk channel=28 >> i_i.txt
@ECHO show disk channel=29 >> i_i.txt
@ECHO show disk channel=30 >> i_i.txt
@ECHO show disk channel=31 >> i_i.txt
@ECHO show snapshot >> i_i.txt
@ECHO disconnect >> i_i.txt
@ECHO exit >> i_i.txt

@ECHO Connecting to %1 and collecting details...

java -jar raidcmd21.jar <i_i.txt >o_o.txt

ren unix2dos.bin unix2dos.exe
unix2dos o_o.txt %2.txt
ren unix2dos.exe unix2dos.bin
del /Q o_o.txt
del /Q i_i.txt
@ECHO Done! The RAID subsystem details have been stored in the file: %2.txt
GOTO EOF

:E1
@ECHO Error! Please supply the required parameters!
@ECHO.
@ECHO  Syntax:
@ECHO    tsdcli xxx.xxx.xxx.xxx output password
@ECHO.
@ECHO    xxx.xxx.xxx.xxx is the IP address of the RAID controller.
@ECHO    'output' is the output filename. It will be added .txt filename 
@ECHO             extention automatically.
@ECHO    'password' is optional. Leave it blank if there is no password.
@ECHO             It is the RAID controller password. 
@ECHO             If the password entered is wrong, it will show in the 
@ECHO             output text file.
@ECHO.
@ECHO !! WARNING !! The controller password you entered will be seen 
@ECHO               in the output text file! Modify the output text 
@ECHO               file before forwarding it to anyone, to keep your 
@ECHO               password hidden.
@ECHO.
@ECHO If the outout file shows "Lock device failed !" in many lines, 
@ECHO               please remove RAID controller password first, then 
@ECHO               run TSDCLI again without the password.
@ECHO.
GOTO EOF

:E2
@ECHO.
@ECHO This IP address does not respond to a ping; please check the IP address and try again!
@ECHO.
GOTO EOF

:E3
@ECHO No controller password entered
@ECHO connect %1 > i_i.txt
GOTO E4

:EOF